import { makeExecutableSchema } from '@graphql-tools/schema'
import { mergeResolvers } from '@graphql-tools/merge'
import { typeDefs } from './typeDefs'
import { resolvers } from './resolvers'
import { subscriptionResolvers } from './subscriptions'

export const schema = makeExecutableSchema({
  typeDefs,
  resolvers: mergeResolvers([resolvers, subscriptionResolvers]),
})

